## completeTimers

### Syntax:

    completeTimers ();

### Purpose:

Continues any functions paused using the pause function. (Note that the completeTimers function does not affect code which is currently paused because of one of the say and think functions.)

### Return value:

No return value.

### Example:

    var cancelTimer = FALSE;

    sub init () {
       onLeftMouse (clickMouse);
       pause (100);
       if (cancelTimer) {
          say (ego, "Timer stopped by mouse click!");
       } else {
          say (ego, "Timer completed on its own!");
       }
    }

    sub clickMouse () {
       cancelTimer = TRUE;
       completeTimers ();
    }

### See also:

skipSpeech

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012